跳转到主要内容
裸金属管理/裸金属集群相关接口
PUTBare Metal Cluster Related Interfaces起始版本 2.6.0同步需要认证

更新PXE服务

更新PXE服务

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标示该资源

请求体字段

  • nameString

    资源名称。

  • descriptionString

    资源的详细描述。

  • dhcpInterfaceString

    暂无描述。

  • dhcpRangeBeginString

    dhcp地址范围开始。

  • dhcpRangeEndString

    dhcp地址范围结束。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryBaremetalPxeServerInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标示该资源

    • zoneUuidString必填

      数据中心UUID

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • hostnameString必填

      部署服务器地址

    • sshUsernameString必填

      部署服务器SSH账户

    • sshPasswordString必填

      部署服务器SSH密码

    • sshPortInteger必填

      部署服务器SSH端口

    • storagePathString必填

      部署服务器存储路径

    • dhcpInterfaceString必填

      DHCP请求监听网卡

    • dhcpInterfaceAddressString必填

      DHCP请求监听网卡IP

    • dhcpRangeBeginString必填

      DHCP地址范围起始

    • dhcpRangeEndString必填

      DHCP地址范围终止

    • dhcpRangeNetmaskString必填

      DHCP子网掩码

    • stateString必填

      部署服务器运行状态

    • statusString必填

      部署服务器连接状态

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • totalCapacityLong必填

      存储路径总容量

    • availableCapacityLong必填

      存储路径可用容量

    • attachedClusterUuidsList必填

      部署服务器挂载集群UUID列表

请求地址

PUT/zstack/v1/baremetal/pxeservers/{uuid}/actions

/zstack/v1/baremetal/pxeservers/{uuid}/actions

操作 ID

UpdateBaremetalPxeServer

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/baremetal/pxeservers/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","dhcpInterface":"<dhcpInterface>","dhcpRangeBegin":"<dhcpRangeBegin>","dhcpRangeEnd":"<dhcpRangeEnd>","dhcpRangeNetmask":"<dhcpRangeNetmask>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "1a88afcfd21b35aa82da9f4b734826b7", "name": "test", "hostname": "127.0.0.1", "sshUsername": "root", "sshPassword": "password", "sshPort": 22, "storagePath": "/zstack_bm_cache", "dhcpInterface": "eth0", "dhcpRangeBegin": "10.0.0.1", "dhcpRangeEnd": "10.0.0.255", "dhcpRangeNetmask": "255.255.255.0", "state": "Enabled", "status": "Connected" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史